3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php /* final public ExceptionException::getPrevious ( void ) */ error_reporting(E_ALL); function exception_error_handler($errno, $errstr, $errfile, $errline ) { throw new ErrorException($errstr, '00007600', $errno, $errfile, $errline); } set_error_handler("exception_error_handler"); try { echo $x; } catch(Exception $e) { var_dump($e->__toString()); }
Output for 7.0.0 - 7.1.0
string(167) "ErrorException: Undefined variable: x in /in/daOvH:24 Stack trace: #0 /in/daOvH(24): exception_error_handler(8, 'Undefined varia...', '/in/daOvH', 24, Array) #1 {main}"
Output for 5.3.0 - 5.6.28
string(193) "exception 'ErrorException' with message 'Undefined variable: x' in /in/daOvH:24 Stack trace: #0 /in/daOvH(24): exception_error_handler(8, 'Undefined varia...', '/in/daOvH', 24, Array) #1 {main}"
Output for 5.1.0 - 5.2.17
string(146) "exception 'ErrorException' with message 'Undefined variable: x' in /in/daOvH:24 Stack trace: #0 /in/daOvH(24): exception_error_handler() #1 {main}"
Output for 5.0.0 - 5.0.5
Fatal error: Class 'ErrorException' not found in /in/daOvH on line 17
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected T_NEW in /in/daOvH on line 17
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected T_NEW in /in/daOvH on line 17
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error in /in/daOvH on line 17
Process exited with code 255.